Subject: Re: [bitcoin-dev] DPL is not only not enough, but brings unfounded confidence to Bitcoin users

From: Nick ODell <[email-masked]>
Date: Fri, 14 Oct 2016 13:01:13 -0600

Pledging to not use patents offensively defeats the point of owning patents.
The point of owning a patent is so that you can use it offensively, either to
prevent competition, or get licensing fees.

Obtaining a patent for defense doesn't make sense. The litigants you need to
worry about do not produce or make anything. Their 'product' is patent lawsuits.

Unless you have a patent on using a mail-merge program to sue people, your
defensive patents are useless in that situation.

On Fri, Oct 14, 2016 at 4:57 AM, Peter Todd via bitcoin-dev
<[email-masked]> wrote:
> On Fri, Oct 14, 2016 at 07:38:07AM -0300, Sergio Demian Lerner via bitcoin-dev wrote:
>> I read the DPL v1.1 and I find it dangerous for Bitcoin users. Current
>> users may be confident they are protected but in fact they are not, as the
>> future generations of users can be attacked, making Bitcoin technology
>> fully proprietary and less valuable.
>
> Glad to hear you're taking a conservative approach.
>
> So I assume Rootstock is going to do something stronger then, like
> Blockstream's DPL + binding patent pledge to only use patents defensively?
>
>     https://www.blockstream.com/about/patent_pledge/
>
> Because if not, the DPL is still better than the status quo.
>
>> If you read the DPL v1.1 you will see that companies that join DPL can
>> enforce their patents against anyone who has chosen not to join the DPL.
>> (http://defensivepatentlicense.org/content/defensive-patent-license)
>>
>> So basically most users of Bitcoin could be currently under threat of being
>> sued by Bitcoin companies and individuals that joined DPL in the same way
>> they might be under threat by the remaining companies. And even if they
>> joined DPL, they may be asked to pay royalties for the use of the
>> inventions prior joining DPL.
>>
>> DPL changes nothing for most individuals that cannot and will not hire
>> patent attorneys to advise them on what the DPL benefits are and what
>> rights they are resigning. Remember that patten attorneys fees may be
>> prohibitive for individuals in under-developed countries.
>>
>> Also DPL is revocable by the signers (with only a 180-day notice), so if
>> Bitcoin Core ends up using ANY DPL covered patent, the company owning the
>> patent can later force all new Bitcoin users to pay royalties.
>
> Indeed. However, you're also free to adopt the DPL irrevocably by additionally
> stating that you will never invoke that 180-day notice provision (or more
> humorously, make it a 100 year notice period to ensure any patents expire!).
>
> If you're concerned about this problem, I'd suggest that Rootstock do exactly
> that.
>
>> Because Bitcoin user base grows all the time with new individuals, the sole
>> existence of DPL licensed patents in Bitcoin represents a danger to Bitcoin
>> future almost the same as the existence of non-DPL license patents.
>
> To be clear, modulo the revocability provision, it's a danger mainly to those
> who are unwilling to adopt the DPL themselves, perhaps because they support
> software patents.
>
>> If you're publishing all your ideas and code (public disclosure), you
>> cannot later go and file a patent in most of the world except the US, where
>> you have a 1 year grace period. So we need to do something specific to
>> prevent the publishers filing a US patent.
>
> Again, lets remember that you personally proposed a BIP[1] that had the effect
> of aiding your ASICBOOST patent[2] without disclosing that fact in your BIP nor
> your pull-req[3]. The simple fact is we can't rely solely on voluntary
> disclosure - your own behavior is a perfect example of why not.
>
> [1]: BIP: https://github.com/BlockheaderNonce2/bitcoin/wiki
> [2]: ASICBOOST PATENT https://www.google.com/patents/WO2015077378A1?cl=en
> [3]: Extra nonce pull request: https://github.com/bitcoin/bitcoin/pull/5102
>
>> What we need much more than DPL, we need that every BIP and proposal to the
>> Bitcoin mailing list contains a note that grants all Bitcoin users a
>> worldwide, royalty-free, no-charge, non-exclusive, irrevocable license for
>> the content of the e-mail or BIP.
>
> A serious problem here is the definition of "Bitcoin users". Does Bitcoin
> Classic count? Bitcoin Unlimited? What if Bitcoin forks?
>
> Better to grant _everyone_ a irrevocable license.
>
>
> Along those lines, it'd be reasonable to consider changing the Bitcoin Core
> license to something like an Apache2/LGPL3 dual license to ensure the copyright
> license also has anti-patent protections.
>
> --
> https://petertodd.org 'peter'[:-1]@petertodd.org
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>